Upstream information

CVE-2013-7490 at MITRE

Description

An issue was discovered in the DBI module before 1.632 for Perl. Using many arguments to methods for Callbacks may lead to memory corruption.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 7
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low High
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact None High
Availability Impact Low High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1176496 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • perl-DBI >= 1.628-5.6.1
Patchnames:
HPE-Helion-OpenStack-8-2020-2856
SUSE Enterprise Storage 5
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-Storage-5-2020-2856
SUSE Linux Enterprise Point of Sale 11 SP3
  • perl-DBI >= 1.607-3.6.1
Patchnames:
sleposp3-perl-DBI-14510
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-2856
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • perl-DBI >= 1.607-3.6.1
Patchnames:
slessp4-perl-DBI-14510
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-2856
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-2856
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-2856
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-2856
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-2856
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-2856
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-2856
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-2856
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2856
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-2856
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-2856
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-2856
SUSE OpenStack Cloud 7
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-2856
SUSE OpenStack Cloud 8
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-2856
SUSE OpenStack Cloud 9
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-2856
SUSE OpenStack Cloud Crowbar 8
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-2856
SUSE OpenStack Cloud Crowbar 9
  • perl-DBI >= 1.628-5.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-2856


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 perl-DBI Affected
SUSE Container as a Service Platform 1.0 perl-DBI Affected
SUSE Container as a Service Platform 2.0 perl-DBI Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem perl-DBI Not affected
SUSE Linux Enterprise 15-SP2 Module for Basesystem perl-DBI Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 perl-DBI Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 perl-DBI Released
SUSE Linux Enterprise High Performance Computing 15 LTSS perl-DBI Affected
SUSE Linux Enterprise Server 11 SP1 perl-DBI Released
SUSE Linux Enterprise Server 11 SP3 perl-DBI Released
SUSE Linux Enterprise Server 11 SP4 LTSS perl-DBI Released
SUSE Linux Enterprise Server 12 SP2 BCL perl-DBI Affected
SUSE Linux Enterprise Server 12 SP2 LTSS perl-DBI Affected
SUSE Linux Enterprise Server 12 SP3 BCL perl-DBI Affected
SUSE Linux Enterprise Server 12 SP3 LTSS perl-DBI Affected
SUSE Linux Enterprise Server 12 SP4 LTSS perl-DBI Affected
SUSE Linux Enterprise Server 12 SP5 perl-DBI Released
SUSE Linux Enterprise Server 15 LTSS perl-DBI Affected
SUSE Linux Enterprise Server ESPOS 15 perl-DBI Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 perl-DBI Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 perl-DBI Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 perl-DBI Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 perl-DBI Released